# Generated from gifnoc-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gifnoc

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: A Ruby Gifnoc client implementation
License: Apache-2.0
URL: https://github.com/cloud66-oss/gifnoc-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(pry-byebug) >= 3.6
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(webmock) >= 3.4
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(webmock) >= 3.4.2
# BuildRequires: rubygem(vcr) >= 4.0
# BuildRequires: rubygem(vcr) < 5
# BuildRequires: rubygem(simplecov) >= 0.16.1
# BuildRequires: rubygem(simplecov) < 0.17
BuildArch: noarch

%description
A Ruby Gifnoc client implementation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/setup
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gifnoc.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.2-1
- Initial package
